// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v5.29.3
// source: internal/module/kubernetes_api/server/server.proto

package server

import (
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"

	_ "buf.build/gen/go/bufbuild/protovalidate/protocolbuffers/go/buf/validate"
	kubernetes_api "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/internal/module/kubernetes_api"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type WebSocketTokenClaims struct {
	state                    protoimpl.MessageState              `protogen:"open.v1"`
	RegisteredClaimIssuer    string                              `protobuf:"bytes,1,opt,name=registered_claim_issuer,json=iss,proto3" json:"registered_claim_issuer,omitempty"`
	RegisteredClaimSubject   string                              `protobuf:"bytes,2,opt,name=registered_claim_subject,json=sub,proto3" json:"registered_claim_subject,omitempty"`
	RegisteredClaimAudience  []string                            `protobuf:"bytes,3,rep,name=registered_claim_audience,json=aud,proto3" json:"registered_claim_audience,omitempty"`
	RegisteredClaimExpiresAt int64                               `protobuf:"varint,4,opt,name=registered_claim_expires_at,json=exp,proto3" json:"registered_claim_expires_at,omitempty"`
	RegisteredClaimNotBefore int64                               `protobuf:"varint,5,opt,name=registered_claim_not_before,json=nbf,proto3" json:"registered_claim_not_before,omitempty"`
	RegisteredClaimIssuedAt  int64                               `protobuf:"varint,6,opt,name=registered_claim_issued_at,json=iat,proto3" json:"registered_claim_issued_at,omitempty"`
	Endpoint                 string                              `protobuf:"bytes,7,opt,name=endpoint,proto3" json:"endpoint,omitempty"`
	AgentId                  int64                               `protobuf:"varint,8,opt,name=agent_id,proto3" json:"agent_id,omitempty"`
	ImpersonationConfig      *kubernetes_api.ImpersonationConfig `protobuf:"bytes,9,opt,name=impersonation_config,proto3" json:"impersonation_config,omitempty"`
	unknownFields            protoimpl.UnknownFields
	sizeCache                protoimpl.SizeCache
}

func (x *WebSocketTokenClaims) Reset() {
	*x = WebSocketTokenClaims{}
	mi := &file_internal_module_kubernetes_api_server_server_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *WebSocketTokenClaims) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WebSocketTokenClaims) ProtoMessage() {}

func (x *WebSocketTokenClaims) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_kubernetes_api_server_server_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WebSocketTokenClaims.ProtoReflect.Descriptor instead.
func (*WebSocketTokenClaims) Descriptor() ([]byte, []int) {
	return file_internal_module_kubernetes_api_server_server_proto_rawDescGZIP(), []int{0}
}

func (x *WebSocketTokenClaims) GetRegisteredClaimIssuer() string {
	if x != nil {
		return x.RegisteredClaimIssuer
	}
	return ""
}

func (x *WebSocketTokenClaims) GetRegisteredClaimSubject() string {
	if x != nil {
		return x.RegisteredClaimSubject
	}
	return ""
}

func (x *WebSocketTokenClaims) GetRegisteredClaimAudience() []string {
	if x != nil {
		return x.RegisteredClaimAudience
	}
	return nil
}

func (x *WebSocketTokenClaims) GetRegisteredClaimExpiresAt() int64 {
	if x != nil {
		return x.RegisteredClaimExpiresAt
	}
	return 0
}

func (x *WebSocketTokenClaims) GetRegisteredClaimNotBefore() int64 {
	if x != nil {
		return x.RegisteredClaimNotBefore
	}
	return 0
}

func (x *WebSocketTokenClaims) GetRegisteredClaimIssuedAt() int64 {
	if x != nil {
		return x.RegisteredClaimIssuedAt
	}
	return 0
}

func (x *WebSocketTokenClaims) GetEndpoint() string {
	if x != nil {
		return x.Endpoint
	}
	return ""
}

func (x *WebSocketTokenClaims) GetAgentId() int64 {
	if x != nil {
		return x.AgentId
	}
	return 0
}

func (x *WebSocketTokenClaims) GetImpersonationConfig() *kubernetes_api.ImpersonationConfig {
	if x != nil {
		return x.ImpersonationConfig
	}
	return nil
}

var File_internal_module_kubernetes_api_server_server_proto protoreflect.FileDescriptor

var file_internal_module_kubernetes_api_server_server_proto_rawDesc = string([]byte{
	0x0a, 0x32, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x2f, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69,
	0x2f, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2f, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x22, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x2e, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70,
	0x69, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x1a, 0x33, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e,
	0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x2f, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e,
	0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69, 0x2f, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65,
	0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x62,
	0x75, 0x66, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2f, 0x76, 0x61, 0x6c, 0x69,
	0x64, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xb8, 0x03, 0x0a, 0x14, 0x57,
	0x65, 0x62, 0x53, 0x6f, 0x63, 0x6b, 0x65, 0x74, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x43, 0x6c, 0x61,
	0x69, 0x6d, 0x73, 0x12, 0x24, 0x0a, 0x17, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x65,
	0x64, 0x5f, 0x63, 0x6c, 0x61, 0x69, 0x6d, 0x5f, 0x69, 0x73, 0x73, 0x75, 0x65, 0x72, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x69, 0x73, 0x73, 0x12, 0x25, 0x0a, 0x18, 0x72, 0x65, 0x67,
	0x69, 0x73, 0x74, 0x65, 0x72, 0x65, 0x64, 0x5f, 0x63, 0x6c, 0x61, 0x69, 0x6d, 0x5f, 0x73, 0x75,
	0x62, 0x6a, 0x65, 0x63, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x73, 0x75, 0x62,
	0x12, 0x26, 0x0a, 0x19, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x65, 0x64, 0x5f, 0x63,
	0x6c, 0x61, 0x69, 0x6d, 0x5f, 0x61, 0x75, 0x64, 0x69, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x03, 0x20,
	0x03, 0x28, 0x09, 0x52, 0x03, 0x61, 0x75, 0x64, 0x12, 0x28, 0x0a, 0x1b, 0x72, 0x65, 0x67, 0x69,
	0x73, 0x74, 0x65, 0x72, 0x65, 0x64, 0x5f, 0x63, 0x6c, 0x61, 0x69, 0x6d, 0x5f, 0x65, 0x78, 0x70,
	0x69, 0x72, 0x65, 0x73, 0x5f, 0x61, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x03, 0x65,
	0x78, 0x70, 0x12, 0x28, 0x0a, 0x1b, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x65, 0x64,
	0x5f, 0x63, 0x6c, 0x61, 0x69, 0x6d, 0x5f, 0x6e, 0x6f, 0x74, 0x5f, 0x62, 0x65, 0x66, 0x6f, 0x72,
	0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x03, 0x6e, 0x62, 0x66, 0x12, 0x27, 0x0a, 0x1a,
	0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x65, 0x64, 0x5f, 0x63, 0x6c, 0x61, 0x69, 0x6d,
	0x5f, 0x69, 0x73, 0x73, 0x75, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x03, 0x69, 0x61, 0x74, 0x12, 0x23, 0x0a, 0x08, 0x65, 0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e,
	0x74, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02, 0x20, 0x01,
	0x52, 0x08, 0x65, 0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x12, 0x23, 0x0a, 0x08, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x08, 0x20, 0x01, 0x28, 0x03, 0x42, 0x07, 0xba, 0x48,
	0x04, 0x22, 0x02, 0x20, 0x00, 0x52, 0x08, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x12,
	0x64, 0x0a, 0x14, 0x69, 0x6d, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x30, 0x2e,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6b, 0x75, 0x62,
	0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69, 0x2e, 0x49, 0x6d, 0x70, 0x65,
	0x72, 0x73, 0x6f, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52,
	0x14, 0x69, 0x6d, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x63,
	0x6f, 0x6e, 0x66, 0x69, 0x67, 0x42, 0x62, 0x5a, 0x60, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2d, 0x6f, 0x72, 0x67, 0x2f, 0x63,
	0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x2d, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2d, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2f,
	0x76, 0x31, 0x37, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64,
	0x75, 0x6c, 0x65, 0x2f, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61,
	0x70, 0x69, 0x2f, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
})

var (
	file_internal_module_kubernetes_api_server_server_proto_rawDescOnce sync.Once
	file_internal_module_kubernetes_api_server_server_proto_rawDescData []byte
)

func file_internal_module_kubernetes_api_server_server_proto_rawDescGZIP() []byte {
	file_internal_module_kubernetes_api_server_server_proto_rawDescOnce.Do(func() {
		file_internal_module_kubernetes_api_server_server_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_internal_module_kubernetes_api_server_server_proto_rawDesc), len(file_internal_module_kubernetes_api_server_server_proto_rawDesc)))
	})
	return file_internal_module_kubernetes_api_server_server_proto_rawDescData
}

var file_internal_module_kubernetes_api_server_server_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_internal_module_kubernetes_api_server_server_proto_goTypes = []any{
	(*WebSocketTokenClaims)(nil),               // 0: gitlab.agent.kubernetes_api.server.WebSocketTokenClaims
	(*kubernetes_api.ImpersonationConfig)(nil), // 1: gitlab.agent.kubernetes_api.ImpersonationConfig
}
var file_internal_module_kubernetes_api_server_server_proto_depIdxs = []int32{
	1, // 0: gitlab.agent.kubernetes_api.server.WebSocketTokenClaims.impersonation_config:type_name -> gitlab.agent.kubernetes_api.ImpersonationConfig
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_internal_module_kubernetes_api_server_server_proto_init() }
func file_internal_module_kubernetes_api_server_server_proto_init() {
	if File_internal_module_kubernetes_api_server_server_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_internal_module_kubernetes_api_server_server_proto_rawDesc), len(file_internal_module_kubernetes_api_server_server_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_internal_module_kubernetes_api_server_server_proto_goTypes,
		DependencyIndexes: file_internal_module_kubernetes_api_server_server_proto_depIdxs,
		MessageInfos:      file_internal_module_kubernetes_api_server_server_proto_msgTypes,
	}.Build()
	File_internal_module_kubernetes_api_server_server_proto = out.File
	file_internal_module_kubernetes_api_server_server_proto_goTypes = nil
	file_internal_module_kubernetes_api_server_server_proto_depIdxs = nil
}
